OpenVDB 12.1.0

Loading...
Searching...
No Matches
VectorToScalarGrid< VecGridT > Struct Template Reference

Metafunction to convert a vector-valued grid type to a scalar grid type. More...

`#include <openvdb/tools/PotentialFlow.h>`

## Public Types
using | Type
using | Ptr = typename Type::Ptr
using | ConstPtr = typename Type::ConstPtr

## Detailed Description

template<typename VecGridT>
struct openvdb::v12_1::tools::VectorToScalarGrid< VecGridT >

Metafunction to convert a vector-valued grid type to a scalar grid type.

## Member Typedef Documentation

## ◆ ConstPtr

template<typename VecGridT>

using ConstPtr = typename Type::ConstPtr

## ◆ Ptr

template<typename VecGridT>

using Ptr = typename Type::Ptr

## ◆ Type

template<typename VecGridT>

using Type

Initial value:
typename VecGridT::template ValueConverter<typename VecGridT::ValueType::value_type>::Type